<rtflowfile version="1.0">
   <block name="Saturation" folder="Standard\Arithmetic\" width="64" height="64">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="64" y2="64">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <doc>Limits a real-valued signal between a lower and an upper bound. The bounds are given as the real-valued signals min and max, where max must be greater than or equal to min. If value is less than min, the resulting signal limited will be min. If value is greater than max, the resulting signal limited will be max. In all other cases, limited will be value.</doc>
      <port name="value" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The signal to limit.</doc>
      </port>
      <port name="min" type="real" x="0" y="32" kind="input" dir="left">
         <doc>The lower bound.</doc>
      </port>
      <port name="max" type="real" x="0" y="48" kind="input" dir="left">
         <doc>The upper bound.</doc>
      </port>
      <port name="limited" type="real" x="64" y="16" kind="output" dir="right">
         <doc>The limited signal.</doc>
      </port>
   </block>
   <schematic width="930" height="602" name="Saturation">
      <editor gridsize="16" alignports="true"/>
      <binstance name="Min1" block="Min" x="320" y="64"/>
      <binstance name="Max1" block="Max" x="160" y="64"/>
      <binstance name="value" block="RealInput" x="80" y="72"/>
      <binstance name="min" block="RealInput" x="80" y="88"/>
      <binstance name="max" block="RealInput" x="256" y="88"/>
      <binstance name="limited" block="RealOutput" x="416" y="72"/>
      <connection name="min1" port1="Max1.o" port2="Min1.i0">
         <point x="208" y="80"/>
         <point x="320" y="80"/>
      </connection>
      <connection name="value" port1="value.o" port2="Max1.i0">
         <point x="96" y="80"/>
         <point x="160" y="80"/>
      </connection>
      <connection name="min" port1="min.o" port2="Max1.i1">
         <point x="96" y="96"/>
         <point x="160" y="96"/>
      </connection>
      <connection name="max" port1="max.o" port2="Min1.i1">
         <point x="272" y="96"/>
         <point x="320" y="96"/>
      </connection>
      <connection name="limited" port1="limited.i0" port2="Min1.o">
         <point x="416" y="80"/>
         <point x="368" y="80"/>
      </connection>
   </schematic>
</rtflowfile>
